// file:  arbitraryPrecisionArithmetic_1.cpp  

#include <iostream>
#include <gmpxx.h>

int main()
{
  mpz_class x("7612058254738945");
  mpz_class y("9263591128439081");

  std::cout << "\n     " << x  << "\n*\n    " << y;
  std::cout << "\n---------------\n" << x * y << "\n\n";
}

Description of what is wrong:

     I am trying to run the simple program above.  (This program was copied directly from the wikipedia webpage describing GNU arbitrary precision arithmetic.)

     I get the following error when I run the command "gcc -lgmpxx -lgmp arbitraryPrecisionArithmetic_1.cpp"  :

     arbitraryPrecisionArithmetic_1.cpp:4:19: error: gmpxx.h: No such file or directory

     I also tried the command "gcc -lgmpxx -lgmp -I/gmp-5.1.0 arbitraryPrecisionArithmetic_1.cpp" with the same results.

GMP version number:   5.1.0

Test program:  See top of this file.

Configuration options:

   I downloaded the tarred file gmp-5.1.0.tar.bz2 from the GNU arbitrary precision arithmetic website.

   I unpacked the file with tar -xvf gmp-5.1.0.tar.bz2

   This produced a directory "gmp-5.1.0".

   I changed to the directory gmp-5.1.0

   I ran the command  ./configure --disable-shared --enable-static (sometimes preceeded with "sudo")

   I ran the command "make install"

   I ran the command "make check".  Every test passed with this last command.

Compiler version.  When I type gcc -v I get:

     Using built-in specs.
     Target: i686-apple-darwin11
     Configured with: /private/var/tmp/llvmgcc42/llvmgcc42-2336.11~28/src/configure --disable-checking --enable-werror --prefix=/Applications/Xcode.app/Contents/Developer/usr/llvm-gcc-4.2 --mandir=/share/man --enable-languages=c,objc,c++,obj-c++ --program-prefix=llvm- --program-transform-name=/^[cg][^.-]*$/s/$/-4.2/ --with-slibdir=/usr/lib --build=i686-apple-darwin11 --enable-llvm=/private/var/tmp/llvmgcc42/llvmgcc42-2336.11~28/dst-llvmCore/Developer/usr/local --program-prefix=i686-apple-darwin11- --host=x86_64-apple-darwin11 --target=i686-apple-darwin11 --with-gxx-include-dir=/usr/include/c++/4.2.1
     Thread model: posix
     gcc version 4.2.1 (Based on Apple Inc. build 5658) (LLVM build 2336.11.00)

Result of typing uname -a:

     Darwin Kernel Version 11.4.0: Mon Apr  9 19:32:15 PDT 2012; root:xnu-1699.26.8~1/RELEASE_X86_64 x86_64

Result of ./config.guess

     coreisbr-apple-darwin11.4.0

Result of ./configfsf.guess :  Command not found.

I have no idea where config.log is located.


